Get webhook endpoint
curl --request GET \
--url https://api.cargado.com/webhooks/endpoints/{endpointId} \
--header 'api-key: <api-key>'import requests
url = "https://api.cargado.com/webhooks/endpoints/{endpointId}"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.cargado.com/webhooks/endpoints/{endpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"url": "<string>",
"description": "<string>",
"filterTypes": [],
"channels": [
"<string>"
],
"throttleRate": 123,
"disabled": true,
"metadata": {},
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"message": "<string>"
}Webhooks
Get webhook endpoint
Retrieve details for a single webhook endpoint.
GET
/
webhooks
/
endpoints
/
{endpointId}
Get webhook endpoint
Authorizations
Path Parameters
Response
Ok
Unique identifier for this endpoint
The HTTPS URL where webhook payloads are delivered
Label for this endpoint
Event types this endpoint is subscribed to, or null if subscribed to all
Event types available for webhook subscriptions.
Use these values in filterTypes to receive only specific events.
Available options:
bid.created, bid.accepted, bid.rejected, bid.revoked, bid.closed, bid.countered, bid.counter_accepted, bid.counter_revoked, bid.counter_rejected Channels this endpoint listens on, or null if listening on all
Max events per second delivered to this endpoint, or null for unlimited
Whether delivery to this endpoint is paused
Arbitrary key-value pairs attached to this endpoint
Show child attributes
Show child attributes
ISO 8601 timestamp when the endpoint was created
ISO 8601 timestamp when the endpoint was last modified
⌘I

